<?xml version="1.0" encoding="UTF-8"?>
<feature id="org.eclipse.hawk.service.server.feature" label="Hawk Integration - Server Feature" version="2.3.0.qualifier" provider-name="Eclipse.org" license-feature="org.eclipse.hawk.license.feature" license-feature-version="2.3.0.qualifier">

   <description>
      This feature brings together the basic components needed for
the Hawk server. The Hawk servlets are not included here.
   </description>

   <copyright>%copyright</copyright>

   <license url="%licenseURL">
      %license
   </license>

   <requires>
      <import plugin="org.apache.thrift" version="0.13.0" match="greaterOrEqual"/>
      <import plugin="org.slf4j.api" version="1.7.2" match="greaterOrEqual"/>
      <import plugin="org.eclipse.hawk.service.artemis" version="2.0.0" match="greaterOrEqual"/>
      <import plugin="com.google.guava" version="27.1.0" match="greaterOrEqual"/>
      <import plugin="javax.annotation" version="1.2.0" match="greaterOrEqual"/>
      <import plugin="ch.qos.logback.classic" version="1.0.7.v20121108-1250" match="greaterOrEqual"/>
      <import plugin="org.eclipse.jetty.http" version="9.4.10" match="greaterOrEqual"/>
      <import plugin="org.eclipse.jetty.server" version="9.4.10" match="greaterOrEqual"/>
      <import plugin="org.eclipse.equinox.http.jetty" version="3.0.200" match="greaterOrEqual"/>
      <import plugin="org.eclipse.core.runtime"/>
      <import plugin="org.eclipse.equinox.http.registry" version="1.1.300" match="greaterOrEqual"/>
      <import plugin="org.eclipse.hawk.service.api" version="1.0.0" match="greaterOrEqual"/>
      <import plugin="org.apache.commons.beanutils" version="1.8.0" match="greaterOrEqual"/>
      <import plugin="jakarta.servlet-api" version="4.0.0" match="greaterOrEqual"/>
      <import plugin="org.eclipse.equinox.console"/>
      <import plugin="org.eclipse.hawk.core"/>
      <import plugin="org.eclipse.hawk.osgiserver"/>
      <import plugin="org.eclipse.equinox.security"/>
      <import plugin="org.eclipse.hawk.service.server.users.servlet" version="1.0.0" match="greaterOrEqual"/>
   </requires>

   <plugin
         id="org.eclipse.hawk.service.api"
         download-size="0"
         install-size="0"
         version="0.0.0"
         unpack="false"/>

   <plugin
         id="org.eclipse.hawk.service.server.logback"
         download-size="0"
         install-size="0"
         version="0.0.0"
         fragment="true"
         unpack="false"/>

   <plugin
         id="org.eclipse.hawk.service.server.gzip"
         download-size="0"
         install-size="0"
         version="0.0.0"
         fragment="true"
         unpack="false"/>

   <plugin
         id="ch.qos.logback.classic"
         download-size="0"
         install-size="0"
         version="0.0.0"
         unpack="false"/>

   <plugin
         id="ch.qos.logback.core"
         download-size="0"
         install-size="0"
         version="0.0.0"
         unpack="false"/>

   <plugin
         id="ch.qos.logback.slf4j"
         download-size="0"
         install-size="0"
         version="0.0.0"
         fragment="true"
         unpack="false"/>

   <plugin
         id="org.apache.commons.lang"
         download-size="0"
         install-size="0"
         version="0.0.0"
         unpack="false"/>

   <plugin
         id="org.eclipse.hawk.service.server.users.servlet"
         download-size="0"
         install-size="0"
         version="0.0.0"
         unpack="false"/>

   <plugin
         id="org.eclipse.hawk.service.server.cli"
         download-size="0"
         install-size="0"
         version="0.0.0"
         unpack="false"/>

   <plugin
         id="org.eclipse.hawk.service.server.application"
         download-size="0"
         install-size="0"
         version="0.0.0"/>

   <plugin
         id="org.eclipse.hawk.service.artemis.server"
         download-size="0"
         install-size="0"
         version="0.0.0"
         unpack="false"/>

   <plugin
         id="org.eclipse.hawk.service.artemis"
         download-size="0"
         install-size="0"
         version="0.0.0"
         unpack="false"/>

   <plugin
         id="org.eclipse.hawk.service.server.productdefs"
         download-size="0"
         install-size="0"
         version="0.0.0"/>

   <plugin
         id="org.eclipse.equinox.concurrent"
         download-size="0"
         install-size="0"
         version="0.0.0"
         unpack="false"/>

   <plugin
         id="org.slf4j.api"
         download-size="0"
         install-size="0"
         version="0.0.0"
         unpack="false"/>

</feature>
